Đến nội dung


Hình ảnh
- - - - -

CAD nhận lệnh lisp nhưng không thực hiện lệnh


  • Please log in to reply
12 replies to this topic

#1 hoa dai nhan

hoa dai nhan

    biết lệnh ddedit

  • Members
  • PipPipPipPip
  • 297 Bài viết
Điểm đánh giá: 50 (tàm tạm)

Đã gửi 26 December 2013 - 04:13 PM

Các bác cho em hỏi vụ này nhé:

 

Em load lisp thành công, đánh lệnh cũng được nhưng không thực hiện lệnh là sao vậy. Lisp diệt virut em để tự động khi mở CAD lên. Mấy ngày nay bị như vậy, trước không sao. Đây là kết quả F2 em thử 2 lisp khác nhau.

"
Command: nm
Nhap duong kinh ong <100>:
Pick chon duong tam:; error: no function definition:
VLAX-CURVE-GETCLOSESTPOINTTO

Command:
Command: *Cancel*

Command: *Cancel*

Command: pl PLINE
Specify start point:
Current line-width is 0.0000
Specify next point or [Arc/Halfwidth/Length/Undo/Width]:
Specify next point or [Arc/Close/Halfwidth/Length/Undo/Width]:
Specify next point or [Arc/Close/Halfwidth/Length/Undo/Width]: *Cancel*

Command: *Cancel*

Command: ap
APPLOAD Do duong PL.lsp successfully loaded.


Command:
DimPoly v1.02
-------------------------------------------
 ©2006 MENZI ENGINEERING GmbH, Switzerland
-------------------------------------------
Type DimPoly in the command line to start the programm...
Command:
Command: dimpoly
Select Polyline or Spline: no function definition: VLAX-ENAME->VLA-OBJECT
Command:"

 

Thank các bác nhé.


  • 0

#2 Polyline

Polyline

    biết lệnh mirror

  • Members
  • PipPipPip
  • 159 Bài viết
Điểm đánh giá: 18 (tàm tạm)

Đã gửi 26 December 2013 - 04:34 PM

Bạn thử gõ dòng này trước khi chạy lệnh xem sao

(vl-load-com)


  • 0

#3 hoa dai nhan

hoa dai nhan

    biết lệnh ddedit

  • Members
  • PipPipPipPip
  • 297 Bài viết
Điểm đánh giá: 50 (tàm tạm)

Đã gửi 26 December 2013 - 04:41 PM

Không được bác ơi, F2 đây:

Command: *Cancel*

Command: (vl-load-com)


Command: (vl-load-com)

Command: *Cancel*

Command: ap APPLOAD Ve ong mem.lsp successfully loaded.


Command:
Command:
Command: l LINE Specify first point:
Specify next point or [Undo]:  <Ortho on>
Specify next point or [Undo]: *Cancel*

Command: nm
Nhap duong kinh ong <10>:
Pick chon duong tam:; error: no function definition:
VLAX-CURVE-GETCLOSESTPOINTTO

Command:
Command:  NM
Nhap duong kinh ong <10>:
Pick chon duong tam:; error: no function definition:
VLAX-CURVE-GETCLOSESTPOINTTO


  • 0

#4 Polyline

Polyline

    biết lệnh mirror

  • Members
  • PipPipPip
  • 159 Bài viết
Điểm đánh giá: 18 (tàm tạm)

Đã gửi 26 December 2013 - 08:23 PM

Bạn hãy gửi file "Ve ong mem.lsp" lên đây được không?


  • 0

#5 hoa dai nhan

hoa dai nhan

    biết lệnh ddedit

  • Members
  • PipPipPipPip
  • 297 Bài viết
Điểm đánh giá: 50 (tàm tạm)

Đã gửi 27 December 2013 - 08:02 AM

Lúc trước vẫn dùng được bình thường ma. Các lisp khac cũng rơi vào tình trạng như vậy.

 

http://www.cadviet.c..._ve_ong_mem.lsp


  • 0

#6 Polyline

Polyline

    biết lệnh mirror

  • Members
  • PipPipPip
  • 159 Bài viết
Điểm đánh giá: 18 (tàm tạm)

Đã gửi 27 December 2013 - 08:39 AM

Mình cũng không chạy được đoạn mã này. Có lẽ nó gặp vấn đề gì đó trong việc bẫy lỗi.
Bạn hãy vẽ nó ra (bằng tay) và upload bản vẽ lên đây. Mình sẽ giúp bạn giải quyết lỗi này.
 
Đầu vào: Nhập đường kính và chỉ ra một đường tâm. Kết quả (nếu chạy bình thường) thì nó sẽ làm gì vậy bạn?

Nó gặp lỗi ở dòng này: (setq p03 (vlax-curve-getPointAtDist e (+ x (* i S flag))))
  • 0

#7 hoa dai nhan

hoa dai nhan

    biết lệnh ddedit

  • Members
  • PipPipPipPip
  • 297 Bài viết
Điểm đánh giá: 50 (tàm tạm)

Đã gửi 27 December 2013 - 08:57 AM

Nếu kết quả bình thường thì nó sẽ vẽ ống bắt đầu từ điểm đầu của đoạn thẳng (polyline...) gần điểm mình chọn. Đây là file đã chạy trước khi bị lỗi.http://www.cadviet.c..._ve_ong_mem.dwg


  • 0

#8 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3805 (đỉnh cao)

Đã gửi 27 December 2013 - 09:44 AM

Mình chạy Lisp ok. Không có lỗi gì cả


  • 0

#9 Polyline

Polyline

    biết lệnh mirror

  • Members
  • PipPipPip
  • 159 Bài viết
Điểm đánh giá: 18 (tàm tạm)

Đã gửi 27 December 2013 - 09:45 AM

Mình test trên bản vẽ của bạn thì nó vẫn chạy bình thường. Nếu nó gặp lỗi tương tự ở các file lisp khác thì nhiều khả năng AutoCAD của bạn đang gặp vấn đề. Bạn có phiên bản CAD khác trên máy không? Ví dụ nếu bạn đang dùng Cad2007 thì bạn hãy thử chạy trên Cad2005 xem sao.

 

File lisp này chưa được bẫy lỗi kỹ, do đó nó vẫn có khả năng gặp lỗi trong quá trình thực thi.


  • 0

#10 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3805 (đỉnh cao)

Đã gửi 27 December 2013 - 09:56 AM

Mình test trên bản vẽ của bạn thì nó vẫn chạy bình thường. Nếu nó gặp lỗi tương tự ở các file lisp khác thì nhiều khả năng AutoCAD của bạn đang gặp vấn đề. Bạn có phiên bản CAD khác trên máy không? Ví dụ nếu bạn đang dùng Cad2007 thì bạn hãy thử chạy trên Cad2005 xem sao.

 

File lisp này chưa được bẫy lỗi kỹ, do đó nó vẫn có khả năng gặp lỗi trong quá trình thực thi.

 

Đã thử trên CAD 2004, CAD 2008 và trên CAD 2014 -> không có vấn đề gì


  • 1

#11 hoa dai nhan

hoa dai nhan

    biết lệnh ddedit

  • Members
  • PipPipPipPip
  • 297 Bài viết
Điểm đánh giá: 50 (tàm tạm)

Đã gửi 27 December 2013 - 11:49 AM

Mình thử nhiều lisp khác nhau thì có một số lisp vẫn dùng được, một số không dùng được. Vậy lỗi là ở đâu?


  • 0

#12 Polyline

Polyline

    biết lệnh mirror

  • Members
  • PipPipPip
  • 159 Bài viết
Điểm đánh giá: 18 (tàm tạm)

Đã gửi 27 December 2013 - 01:54 PM

Có lẽ AutoCAD bạn gặp trục trặc trong quá trình tải các lệnh vl-. Bạn thử với phiên bản AutoCAD khác, hoặc gỡ ra cài lại xem sao.


  • 0

#13 hochoaivandot

hochoaivandot

    biết dimradius

  • Members
  • PipPipPipPipPip
  • 310 Bài viết
Điểm đánh giá: 107 (tàm tạm)

Đã gửi 27 December 2013 - 03:00 PM

Lisp nào dùng các hàm vlax, ...thì sẽ bị lỗi. Cài lại Cad đi bạn!


  • 0

Dương Bá Diệp

 

www.cadonline.duyxuyen.vn 

 

Thành viên nhóm CADMAGIC